*,*::before,*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', 'sans-serif';
}

.wrapper {
    width: 100vw;
    height: 100vh;
    background: rgb(35,37,37);
    background: linear-gradient(0deg, rgba(35,37,37,1) 0%, rgba(37,37,35,1) 0%, rgba(238,252,5,1) 100%);
    background-size: cover;
    background-position: center;
    display: grid;
    place-items: center;
    justify-content: center;
}


.player-info {
    /* width: 13%;
    height: 5%; */
    color: white;
    position: absolute;
    top: 3rem;
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(255, 255, 255, 0.15);
    border-radius: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.25);
    padding: 0.5rem 3rem;
    text-align: center;
}

.tic-tac-toe {
    width: 350%;
    max-width: 20rem;
    /* margin-top: 20px; */
    background-color:rgba(255, 255, 255, 0.15);
    border-radius: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.25);
    padding: 2rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    aspect-ratio: 1/1;
}

.box {
    position: relative;
    width: 100%;
    aspect-ratio: 1/1;
    cursor: pointer;
    font-size: 3rem;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

.box1, .box2, .box4, .box5 {
    border-right: 2px solid white;
    border-bottom: 2px solid white;
}

.box3, .box6 {
    border-bottom: 2px solid white;
}

.box7, .box8 {
    border-right: 2px solid white;
}

.btn {
    color: white;
    position: absolute;
    bottom: 3rem;
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(255, 255, 255, 0.15);
    border-radius: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.25);
    padding: 0.5rem 2rem;
    cursor: pointer;
    display: none;
}

.btn.active {
    display: flex;
}

.win {
    background-color: rgba(0, 255, 0, 0.3);
    
}